<?php 
#####################################################
##-------------------------------------------------##
##            RY River - Version 1.0.0             ##
##-------------------------------------------------##
## Copyright = Raya Web Design - 2010              ##
## Date      = 11 November 2010                    ##
## License   = free template                       ##
## Author    = Heri siswanto                       ##
## Websites  = http://www.rayawebdesign.com        ##
##                                                 ##
#####################################################

defined( '_JEXEC' ) or die( 'Restricted access' );
$siteName	= $tmpConfig->sitename();

?>
<head>
	<?php if( $ry_googlekey ) { ?><meta name="google-site-verification" content="<?php echo $ry_googlekey; ?>" /><?php } ?>
	<?php if( $ry_yahookey ) { ?><meta name="y_key" content="<?php echo $ry_yahookey;?>" /><?php } ?>
	<?php if($ry_msnkey) {?><meta name="msvalidate.01" content="<?php echo $ry_msnkey; ?>" /><?php } ?>
	
	<jdoc:include type="head" />
	<?php JHTML::_('behavior.mootools'); ?>
	
	<?php if ( $ry_generator ) { 
		$this->setGenerator( $ry_generator );
	} ?>
	
	<link rel="stylesheet" href="<?php echo $tmpConfig->templateurl(); ?>/css/default.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $tmpConfig->templateurl(); ?>/css/layout.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $tmpConfig->templateurl(); ?>/css/template.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $tmpConfig->templateurl(); ?>/css/menu.css" type="text/css" />
	
	<script language="javascript" type="text/javascript" src="<?php echo $tmpConfig->templateurl(); ?>/libs/js/moomenu.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo $tmpConfig->templateurl(); ?>/libs/js/ry.script.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo $tmpConfig->templateurl(); ?>/libs/js/ry.scroll.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo $tmpConfig->templateurl(); ?>/libs/js/DD_roundies_0.0.2a-min.js"></script>
	<script type="text/javascript">
		/* IE only 
		DD_roundies.addRule('.roundify', '10px');*/
		
		/* varying radii, IE only 
		DD_roundies.addRule('.something_else', '10px 4px');*/
		 
		/* varying radii, "all" browsers */
		DD_roundies.addRule('div.ry-search .inputbox', '3px', true);
		DD_roundies.addRule('.ry-mainnav ul li.active a', '6px', true);
		DD_roundies.addRule('.ry-mainnav ul li a:hover, .ry-mainnav ul li a:focus, .ry-mainnav ul li.sfhover a', '6px', true);
		DD_roundies.addRule('.ry-mainnav ul li ul, .ry-mainnav ul li ul li, .ry-mainnav ul li ul li a', '3px', true);
	</script>
	
</head>
<body id="bd" class="fs<?php echo $font_size; ?>">

	<div id="ry-septop" class="clearfix">
		<div class="main">
			<div class="date">
				<?php echo date('l, j F Y'); ?>
			</div>
			<div class="ry-search">
				<jdoc:include type="modules" name="ry-search" />
			</div>
		</div>
	</div>
	
	<div id="ry-head" class="clearfix">
		<div class="main">
		
			<div id="header-logo">
				<?php if( $tmpConfig->isContentPage() ) { ?>
				<div class="logo">
					<a href="index.php" title="<?php echo $siteName; ?>"><span><?php echo $siteName; ?></span></a>
				</div>
				<?php } else { ?>
				<h1 class="logo">
					<a href="index.php" title="<?php echo $siteName; ?>"><span><?php echo $siteName; ?></span></a>
				</h1>
				<?php } ?>
			</div>
			
			<div class="ry-mainnav">
				<?php echo $tmpConfig->loadMenu($ry_menu); ?>
			</div>
		</div>
	</div>
	
	<?php if ( $ry_slide ) : ?>
	<div id="ry-slider" class="clearfix">
		<div class="main">
			<jdoc:include type="modules" name="ry-slide" />
		</div>
	</div>
	<?php endif; ?>
	
	<div id="ry-container" class="clearfix">
		<div class="main">
			<?php if ( $user1 || $user2 || $user3 ) : ?>
			<div class="ry-tops clearfix">
				<?php if ( $user1 ) : ?>
				<div class="top-coloum tc-<?php echo $tc1; ?>" style="width:<?php echo $tc_width; ?>%">
					<jdoc:include type="modules" name="user1" style="rydesc" />
				</div>
				<?php endif; ?>
				<?php if ( $user2 ) : ?>
				<div class="top-coloum tc-<?php echo $tc2; ?>" style="width:<?php echo $tc_width; ?>%">
					<jdoc:include type="modules" name="user2" style="rydesc" />
				</div>
				<?php endif; ?>
				<?php if ( $user3 ) : ?>
				<div class="top-coloum tc-<?php echo $tc3; ?>" style="width:<?php echo $tc_width; ?>%">
					<jdoc:include type="modules" name="user3" style="rydesc" />
				</div>
				<?php endif; ?>
			</div>
			<?php endif; ?>
			<div class="content-wrap clearfix">
				<div class="content-bd" style="width:<?php echo $content_width; ?>%;">
					<div class="ry-content" style="padding-right:<?php echo $pad_content; ?>px;">
						<jdoc:include type="component" />
					</div>
				</div>
				<?php if ( $right ) : ?>
				<div class="ry-right" style="width:<?php echo $right_width; ?>%;">
					<jdoc:include type="modules" name="right" style="ryxhtml" />
				</div>
				<?php endif; ?>
			</div>
			
			<?php if( $path ) : ?>
			<div class="ry-path">
				<strong>You are here&nbsp;:&nbsp;</strong><jdoc:include type="modules" name="breadcrumb" />
			</div>
			<?php endif; ?>
		</div>
	</div>
	
	<?php if ( $user4 || $user5 || $user6 || $user7 ) : ?>
	<div id="ry-bots" class="clearfix">
		<div class="main">
			<?php if ( $user4 ) : ?>
			<div class="bot-coloum bc-<?php echo $bc1; ?>" style="width:<?php echo $bc_width; ?>%;">
				<jdoc:include type="modules" name="user4" style="ryxhtml" />
			</div>
			<?php endif; ?>
			<?php if ( $user5 ) : ?>
			<div class="bot-coloum bc-<?php echo $bc2; ?>" style="width:<?php echo $bc_width; ?>%;">
				<jdoc:include type="modules" name="user5" style="ryxhtml" />
			</div>
			<?php endif; ?>
			<?php if ( $user6 ) : ?>
			<div class="bot-coloum bc-<?php echo $bc3; ?>" style="width:<?php echo $bc_width; ?>%;">
				<jdoc:include type="modules" name="user6" style="ryxhtml" />
			</div>
			<?php endif; ?>
			<?php if ( $user7 ) : ?>
			<div class="bot-coloum bc-<?php echo $bc4; ?>" style="width:<?php echo $bc_width; ?>%;">
				<jdoc:include type="modules" name="user7" style="ryxhtml" />
			</div>
			<?php endif; ?>
		</div>
	</div>
	<?php endif; ?>
	
	<div id="ry-footer" class="clearfix">
		<div class="main clearfix">
			<div class="footer">
				<jdoc:include type="modules" name="footer" />
			</div>
			<div class="fot-menu ">
				<?php if ( $fonav ) : ?>
				<div class="fotnav">
					<jdoc:include type="modules" name="fotnav" />
				</div>
				<?php endif; ?>
				<!-- please do not remove the credit link from RayaWebDesign. 
				if you want to remove the credit link, please confirm to the RayaWebDesign and do a minimum donation $2-->
				Design&nbsp;by&nbsp;<a href="http://www.rayawebdesign.com/" title="Jasa Pembuatan Website Murah" target="_blank">RayaWebDesign</a>. 
				Valid&nbsp;<a href="http://validator.w3.org/check?uri=referer" title="Valid XHTML" target="_blank">XHTML</a>&nbsp;&amp;&nbsp;<a href="http://jigsaw.w3.org/css-validator/check/referer?profile=css3" title="Valid CSS" target="_blank">CSS</a>.
				&nbsp;<a href="#" id="gotop" title="Press and scroll to top">TOP</a>
			</div>
		</div>
	</div>
<?php if( $ry_googleanal ){ echo $ry_googleanal; }  ?>
</body>