<?php 
#####################################################
##-------------------------------------------------##
##            RY River - Version 1.0.0             ##
##-------------------------------------------------##
## Copyright = Raya Web Design - 2010              ##
## Date      = 02 November 2010                    ##
## License   = free template                       ##
## Author    = Heri siswanto                       ##
## Websites  = http://www.rayawebdesign.com        ##
##                                                 ##
#####################################################

defined( '_JEXEC' ) or die( 'Restricted access' );
/* ry configure params xml */
$ry_Mod_Expos	= $this->params->get("ry_mod_expos");
$ry_menu		= $this->params->get("ry_menutype");
$font_size		= $this->params->get("ry_font");

$ry_googlekey	= $this->params->get("ry_googlekey");
$ry_yahookey	= $this->params->get("ry_yahookey");
$ry_msnkey		= $this->params->get("ry_msnkey");
$ry_googleanal	= $this->params->get("ry_googleanalytic");
$ry_generator	= $this->params->get("ry_gen");

class RYTemplateConfig {
	var $_tpl = null;
	var $template = '';

	function RYTemplateConfig ($template) {
		$this->_tpl = $template;
		$this->template = $template->template;
	}

	function sitename() {
		$config = new JConfig();
		return $config->sitename;
	}
	
	function baseUrl(){
		return JURI::base();
	}
	
	function templateurl(){
		return JURI::base()."templates/".$this->template;
	}
	
	function isContentPage(){
		return (JRequest::getCmd( 'view' ) == 'article') ;
	}
	
	function isInclude($includeType=null, $modName=null, $modStyle=null){
		if ( $includeType == 'head' || $includeType == 'component' ) {
			$include = '<jdoc:include type="'.$includeType.'" />';
		} else if ( $includeType == 'modules' ) {
			if ( empty($modName) ) {
				$include = 'Error Script';
			} else if( empty($modStyle) ) { 
				$include = '<jdoc:include type="'.$includeType.'" name="'.$modName.'" />';
			} else {
				$include = '<jdoc:include type="'.$includeType.'" name="'.$modName.'" style="'.$modStyle.'" />';
			}
		} else {
			$include = "can't load extention";
		}
		echo $include;
	}
	
	function isIE(){ // IE DETECT
		$msie='/msie/i';
		return isset($_SERVER['HTTP_USER_AGENT']) &&
			preg_match($msie,$_SERVER['HTTP_USER_AGENT']) &&
			!preg_match('/opera/i',$_SERVER['HTTP_USER_AGENT']);
	}
	
	function isIE6 () {
		return $this->browser() == 'IE6';
	}
	
	function browser () {
		$agent = $_SERVER['HTTP_USER_AGENT'];
		if ( strpos($agent, 'Gecko') )
		{
		   if ( strpos($agent, 'Netscape') )
		   {
		     $browser = 'NS';
		   }
		   else if ( strpos($agent, 'Firefox') )
		   {
		     $browser = 'FF';
		   }
		   else
		   {
		     $browser = 'Moz';
		   }
		}
		else if ( strpos($agent, 'MSIE') && !preg_match('/opera/i',$agent) )
		{
			 $msie='/msie\s(7|8|9\.[0-9]).*(win)/i';
		   	 if (preg_match($msie,$agent)) $browser = 'IE7';
		   	 else $browser = 'IE6';
		}
		else if ( preg_match('/opera/i',$agent) )
		{
		     $browser = 'OPE';
		}
		else
		{
		   $browser = 'Others';
		}
		return $browser;
	}
	
	function loadMenu($menu){
		$document = &JFactory::getDocument();
		$module = JModuleHelper::getModule( 'mod_mainmenu' );
		
		$renderer = $document->loadRenderer( 'module' );
		$options = array( 'style' => "getmenu" );
		
		$main_menu = false;
		$main_submenu = false;
		
		$module->params = "menutype=$menu\nshowAllChildren=1";
		$main_menu = $renderer->render( $module, $options );
		
		return $main_menu;
	}
	
}

$tmpConfig = new RYTemplateConfig($this);

/** MODULE COLLAPSE **/
/* RY_TOPS */
if ( $user1 && $user2 && $user3 ) {
	$tc_width	= 100 / 3;
	$tc1	= 'left';
	$tc2	= 'center';
	$tc3	= 'right';
} else if ( $user1 && $user2 ) {
	$tc_width	= 100 / 2;
} else if ( $user1 && $user2 ) {
	$tc_width	= 100 / 2;
} else if ( $user2 && $user3 ) {
	$tc_width	= 100 / 2;
} else if ( $user1 || $user2 || $user3 ) {
	$tc_width	= 100;
}

/** CONTEN AND RIGHT MODULE **/
$right_width	= 30;
if ( $right ) {
	$content_width = 100 - $right_width;
	$pad_content   = 10;
} else {
	$content_width = 100;
	$pad_content   = 0;
}

/** BOTS **/
$arrbots	= array();
if($user4){ array_push($arrbots, 1); }
if($user5){ array_push($arrbots, 1); }
if($user6){ array_push($arrbots, 1); }
if($user7){ array_push($arrbots, 1); }
$bc_width	= ($arrbots) ? floor(100/count($arrbots)) : 1;

if ( $user4 && $user5 && $user6 && $user7 ) {
	$bc1	= 'left';
	$bc2	= 'cleft';
	$bc3	= 'cright';
	$bc4	= 'right';
} else if ( $user4 && $user5 && $user6 ) {
	$bc1	= 'left';
	$bc2	= 'center';
	$bc3	= 'right';
} else if ( $user4 && $user5 && $user7 ) {
	$bc1	= 'left';
	$bc2	= 'center';
	$bc4	= 'right';
} else if ( $user4 && $user6 && $user7 ) {
	$bc1	= 'left';
	$bc3	= 'center';
	$bc4	= 'right';
} else if ( $user5 && $user6 && $user7 ) {
	$bc2	= 'left';
	$bc3	= 'center';
	$bc4	= 'right';
} else if ( ($user4 && $user5) || ( $user4 && $user6) || ( $user4 && $user7) ) {
	$bc1	= 'left';
	$bc2	= 'right';
	$bc3	= 'right';
	$bc4	= 'right';
} else if ( ($user5 && $user6) || ($user5 && $user7)) {
	$bc2	= 'left';
	$bc3	= 'right';
	$bc4	= 'right';
} else if ( $user6 && $user7) {
	$bc3	= 'left';
	$bc4	= 'right';
} else {
	$bc1	= 'single';
	$bc2	= 'single';
	$bc3	= 'single';
	$bc4	= 'single';
}
?>